package com.wecloud.dispatch.extend;

import com.wecloud.dispatch.common.ActionMethod;
import com.wecloud.dispatch.common.BaseRequest;
import io.netty.channel.Channel;

/**
 * @author lixiaozhong
 */
public interface ActionRequest {

    String getPath();

    Object getAction();

    BaseRequest getData();

    ActionMethod getActionMethod();

    Long getSenderClientId();

    Channel getSenderChannel();

}
